#ifndef __SINE_H__
#define __SINE_H__

#ifdef __cplusplus
extern "C" {
#endif

#ifndef PI
	#define PI 3.1415926536f
#endif

#define SIN_TABLE_ANGLE 90  // 90个元素,覆盖0-360度

float get_sin(float angle);
float get_cos(float angle);
void generate_sin_table(void);

#ifdef __cplusplus
}
#endif

#endif /* __SINE_H__ */
